﻿namespace SyncfusionMvcApplication1.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;

    public class EditableTask
    {
        [Range(0, int.MaxValue, ErrorMessage = "Id must be greater than 0.")]
        public int Id
        {
            get;
            set;
        }

        public string Status
        {
            get;
            set;
        }

        public string Summary
        {
            get;
            set;
        }

        public string Type
        {
            get;
            set;
        }

        public string Priority
        {
            get;
            set;
        }

        public string Tags
        {
            get;
            set;
        }

        public float Estimate
        {
            get;
            set;
        }

        public string Assignee
        {
            get;
            set;
        }

        public string ImgUrl
        {
            get;
            set;
        }

        public int RankId
        {
            get;
            set;
        }
    }
}